OVERLAY_VECTORS(3)

FUNCTION
overlay_vectors - Add many vectors to an overlay list.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_vectors

(KOverlayList olist, unsigned int num_vectors, unsigned int *stypes, double *sx, double *sy, unsigned int *dtypes, double *dx, double *dy, CONST char *colourname)

DESCRIPTION
This routine will add a number of vectors (directed lines) to an overlay object list. These vectors will form a single object. Using this routine is far more efficient than calling <-overlay_vector-> repeatedly.

olist
    The overlay list object.

num_vectors
    The number of vectors.

stypes
    The types of the start co-ordinates. If this is NULL, all co-ordinates are assumed to be world co-ordinates. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

sx  The horizontal positions of the start co-ordinates.

sy  The vertical positions of the start co-ordinates.

dtypes
    The types of the vector directions. If this is NULL, all directions are assumed to be in world co-ordinates. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

dx  The horizontal vector directions.

dy  The vertical vector directions.

colourname
    The colour name.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/